> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Kubeadm Versions Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/kubeadm-versions
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/kubeadm-versions:
    get:
      tags:
        - Cluster
      summary: List Kubeadm Versions Endpoint
      operationId: list_kubeadm_versions_endpoint_api_v1_clusters_kubeadm_versions_get
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - name: x-ankra-organisation-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListKubeadmVersionsResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ListKubeadmVersionsResponse:
      properties:
        stable_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Stable Version
        versions:
          items:
            $ref: '#/components/schemas/KubeadmVersionEntry'
          type: array
          title: Versions
      type: object
      required:
        - versions
      title: ListKubeadmVersionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KubeadmVersionEntry:
      properties:
        version:
          type: string
          title: Version
        channel:
          type: string
          title: Channel
        published_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Published At
      type: object
      required:
        - version
        - channel
      title: KubeadmVersionEntry
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````